package jpatp.cascade;

import java.io.Serializable;
import javax.persistence.*;



import jpatp.cascade.Address2;



@Entity
@Table(name = "EMPLOYEE2")
public class Employee2 implements Serializable
{
    private static final long serialVersionUID = -6739820906597840637L;

    public Employee2(int id)
    {
        ID = id;
    }

    Employee2()
    {
    }
    @Id
    @Column(name = "ID")
    private int ID;

   
    @OneToOne(targetEntity = Address2.class, cascade = { CascadeType.REFRESH })
    @JoinColumn(name = "ID_FK",referencedColumnName = "MYID") 
    private Address2 address;  
    public Address2 getAddress()
    {
        return this.address;
    }   
    public int getID()
    {
        return this.ID;
    }

    public void setID(int id)
    {
        this.ID = id;
    }
/*
    public int getID_FK()
    {
        return this.ID_FK;
    }

    public void setID_FK(int id_fk)
    {
        this.ID_FK = id_fk;
    }
    */

    public void setAddress(Address2 address)
    {
        this.address = address;
    }
}
